## fcitx-table-other 0.2.0+git20120621

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-table-extra NONE)

find_package(Fcitx 4.2.4 REQUIRED)
find_package(Gettext REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

option(ENABLE_DEPRECATED Off "Enable deprecated table")

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

add_subdirectory(icons)
add_subdirectory(tables)
add_subdirectory(po)

=== icons/CMakeLists.txt ===
set(ICON24 fcitx-amharic.png fcitx-arabic.png)
set(ICON32 fcitx-thai.png)
set(ICON48 fcitx-compose.png fcitx-emoji.png fcitx-ipa-x-sampa.png fcitx-latex.png fcitx-rustrad.png fcitx-translit.png fcitx-translit-ua.png fcitx-yawerty.png
           fcitx-malayalam-phonetic.png fcitx-tamil-remington.png)
set(ICON64 fcitx-cns11643.png fcitx-viqr.png)

if (ENABLE_DEPRECATED)
    set(ICON48 ${ICON48} fcitx-bengali-inscript.png fcitx-bengali-probhat.png fcitx-gujarati-inscript.png fcitx-gujarati-phonetic.png 
                         fcitx-hindi-inscript.png fcitx-hindi-phonetic.png fcitx-kannada-inscript.png fcitx-kannada-kgp.png 
                         fcitx-malayalam-inscript.png fcitx-nepali.png fcitx-punjabi-inscript.png fcitx-punjabi-jhelum.png
                         fcitx-punjabi-phonetic.png fcitx-tamil-inscript.png fcitx-tamil-phonetic.png  fcitx-telugu-inscript.png)
endif (ENABLE_DEPRECATED)

foreach(icon ${ICON24} ${ICON32} ${ICON48} ${ICON64})
    string(REPLACE "fcitx-" "" icon_new ${icon})
    install(FILES ${icon} RENAME ${icon_new} DESTINATION share/fcitx/imicon)
endforeach()

install(FILES
    ${ICON32}
    DESTINATION share/icons/hicolor/32x32/apps)
install(FILES
    ${ICON48}
    DESTINATION share/icons/hicolor/48x48/apps)
install(FILES
    ${ICON64}
    DESTINATION share/icons/hicolor/64x64/apps)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-table-other.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-table-other --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== tables/CMakeLists.txt ===
set(DEPRECATED_TABLE_NAMES
bn/bengali-inscript # can be deprecated by m17n and keyboard layout
bn/bengali-probhat # can be deprecated by m17n and keyboard layout
gu/gujarati-inscript # can be deprecated by m17n
gu/gujarati-phonetic # can be deprecated by m17n
hi/hindi-inscript # can be deprecated by m17n
hi/hindi-phonetic # can be deprecated by m17n
kn/kannada-inscript # can be deprecated by m17n
kn/kannada-kgp # can be deprecated by m17n
ml/malayalam-inscript # can be deprecated by m17n
ne/nepali-rom # can be deprecated by m17n
ne/nepali-trad # can be deprecated by m17n
pa/punjabi-inscript # can be deprecated by m17n
pa/punjabi-jhelum # can be deprecated by m17n
pa/punjabi-phonetic # can be deprecated by m17n
ta/tamil-inscript # can be deprecated by m17n
ta/tamil-phonetic # can be deprecated by m17n
te/telugu-inscript # can be deprecated by m17n
)

set(TABLE_NAMES
am/amharic
ar/arabic
ml/malayalam-phonetic
ta/tamil-remington
other/cns11643
other/compose
other/emoji
other/ipa-x-sampa
other/latex
uk/translit-ua
ru/rustrad
ru/translit
ru/yawerty
th/thai
vi/viqr
)

if (ENABLE_DEPRECATED)
set(TABLE_NAMES ${TABLE_NAMES} ${DEPRECATED_TABLE_NAMES})
endif (ENABLE_DEPRECATED)

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAMES})

    string(REGEX REPLACE "^([a-z]+)/.+" "\\1"  TABLE_DIR "${table}")
    string(REGEX REPLACE "^[a-z]+/(.+)" "\\1" TABLE_NAME "${table}")
    intltool_merge_translation(${CMAKE_CURRENT_SOURCE_DIR}/${table}.conf.in ${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf )

    add_custom_command(OUTPUT ${TABLE_NAME}.mb
                       DEPENDS ${table}.txt
                       COMMAND ${TXT2MB} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt ${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.mb)

    set(MB_FILE ${MB_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.mb)
    set(CONF_FILE ${CONF_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf)
endforeach(table ${TABLE_NAMES})

add_custom_target(table_data ALL DEPENDS ${MB_FILE} ${CONF_FILE})

install(FILES ${CONF_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)
install(FILES ${MB_FILE} DESTINATION ${FCITX4_PREFIX}/share/fcitx/table)

=== debian/changelog ===
fcitx-table-other (0.2.0+git20120621-1) unstable; urgency=low

  [ Aron Xu ]
  * Raise B-D versioning.
  * Add README.source.

  [ YunQiang Su ]
  * Imported Upstream snapshot 0.2.0+git20120621.

 -- Aron Xu <aron@debian.org>  Tue, 26 Jun 2012 01:38:37 +0800

fcitx-table-other (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #671713)

 -- Aron Xu <aron@debian.org>  Fri, 11 May 2012 18:57:23 +0000

=== debian/control ===
Source: fcitx-table-other
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.4),
    fcitx-tools (>= 1:4.2.4), intltool
Standards-Version: 3.9.3
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-table-other.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-table-other.git

Package: fcitx-table-amharic
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Amharic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Amharic table used by the Fcitx table engine.

Package: fcitx-table-arabic
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Arabic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Arabic table used by the Fcitx table engine.

Package: fcitx-table-cns11643
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Cns11643 table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Cns11643 table used by the Fcitx table engine.

Package: fcitx-table-compose
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Compose table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Compose table used by the Fcitx table engine.

Package: fcitx-table-emoji
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Emoji table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Emoji table used by the Fcitx table engine.

Package: fcitx-table-ipa-x-sampa
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - IPA-X-SAMPA table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides IPA-X-SAMPA table used by the Fcitx table engine.

Package: fcitx-table-latex
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - LaTeX table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides LaTeX table used by the Fcitx table engine.

Package: fcitx-table-malayalam-phonetic
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Malayalam phonetic table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Malayalam phonetic table used by the Fcitx table engine.

Package: fcitx-table-rustrad
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Rustrad table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Rustrad table used by the Fcitx table engine.

Package: fcitx-table-tamil-remington
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Tamil Remington table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Tamil Remington table used by the Fcitx table engine.

Package: fcitx-table-thai
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Thai table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Thai table used by the Fcitx table engine.

Package: fcitx-table-translit-ua
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Ukrainian Translit table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Ukrainian Translit table used by the Fcitx table
 engine.

Package: fcitx-table-translit
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Translit table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Translit table used by the Fcitx table engine.

Package: fcitx-table-viqr
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Viqr table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Viqr table used by the Fcitx table engine.

Package: fcitx-table-yawerty
Architecture: any
Depends: ${misc:Depends}, fcitx-table
Description: Flexible Input Method Framework - Yawerty table
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems. 
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
 for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
 API.
 .
 This package provides Yawerty table used by the Fcitx table engine.

## fcitx-table-other 0.2.2

=== debian/changelog ===
fcitx-table-other (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sat, 03 Aug 2013 23:23:41 +0800

fcitx-table-other (0.2.1-1) experimental; urgency=low

  * New upstream release.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 21:11:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev (>= 1:4.2.4),
-    fcitx-tools (>= 1:4.2.4), intltool
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8),
+ fcitx-tools (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), intltool
+Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-table-other.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-table-other.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-table-other.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-table-other.git
 
 Package: fcitx-table-amharic
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 
override_dh_install:
	find . -name *.mo -delete
	dh_install --fail-missing
override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-table-other-*\.*(.*)\.tar\.xz

## fcitx-table-other 0.2.3

=== po/CMakeLists.txt ===
set(PO_LANGS am ar bn gu de hi kn ml ne pa ru ta te th uk vi zh_TW zh_CN ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-table-other fcitx-table-other.pot)

=== tables/CMakeLists.txt ===
set(DEPRECATED_TABLE_NAMES
  bn/bengali-inscript # can be deprecated by m17n and keyboard layout
  bn/bengali-probhat # can be deprecated by m17n and keyboard layout
  gu/gujarati-inscript # can be deprecated by m17n
  gu/gujarati-phonetic # can be deprecated by m17n
  hi/hindi-inscript # can be deprecated by m17n
  hi/hindi-phonetic # can be deprecated by m17n
  kn/kannada-inscript # can be deprecated by m17n
  kn/kannada-kgp # can be deprecated by m17n
  ml/malayalam-inscript # can be deprecated by m17n
  ne/nepali-rom # can be deprecated by m17n
  ne/nepali-trad # can be deprecated by m17n
  pa/punjabi-inscript # can be deprecated by m17n
  pa/punjabi-jhelum # can be deprecated by m17n
  pa/punjabi-phonetic # can be deprecated by m17n
  ta/tamil-inscript # can be deprecated by m17n
  ta/tamil-phonetic # can be deprecated by m17n
  te/telugu-inscript # can be deprecated by m17n
  )

set(TABLE_NAMES
  am/amharic
  ar/arabic
  ml/malayalam-phonetic
  ta/tamil-remington
  other/cns11643
  other/compose
  other/emoji
  other/ipa-x-sampa
  other/latex
  uk/translit-ua
  ru/rustrad
  ru/translit
  ru/yawerty
  th/thai
  vi/viqr
  )

foreach(table ${TABLE_NAMES} ${DEPRECATED_TABLE_NAMES})
  fcitx_translate_add_sources("${table}.conf.in")
endforeach()

if(ENABLE_DEPRECATED)
  set(TABLE_NAMES ${TABLE_NAMES} ${DEPRECATED_TABLE_NAMES})
endif()

set(MB_FILE)
set(CONF_FILE)

foreach(table ${TABLE_NAMES})
  fcitx_translate_add_apply_source("${table}.conf.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb"
    DEPENDS "${table}.txt" "${TXT2MB}"
    COMMAND "${TXT2MB}" ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
  set(MB_FILE ${MB_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
  set(CONF_FILE ${CONF_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
endforeach()

add_custom_target(table_data ALL DEPENDS ${MB_FILE})

install(FILES ${CONF_FILE} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")
install(FILES ${MB_FILE} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")

=== debian/changelog ===
fcitx-table-other (0.2.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 02 Jan 2016 16:51:09 +0800

fcitx-table-other (0.2.3-1) experimental; urgency=medium

  * New upstream release.
  * Add comment to d/rules
  * Bump std-ver to 3.9.6
  * Move all packages to arch:all

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 16:55:40 +0800

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,24 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8),
- fcitx-tools (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), intltool
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 9),
+               fcitx-bin (>= 1:4.2.8),
+               fcitx-libs-dev (>= 1:4.2.8),
+               fcitx-tools (>= 1:4.2.8),
+               intltool
+Standards-Version: 3.9.6
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-table-other.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-table-other.git
 
 Package: fcitx-table-amharic
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Amharic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -27,12 +31,12 @@
  This package provides Amharic table used by the Fcitx table engine.
 
 Package: fcitx-table-arabic
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Arabic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -43,12 +47,12 @@
  This package provides Arabic table used by the Fcitx table engine.
 
 Package: fcitx-table-cns11643
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Cns11643 table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -59,12 +63,12 @@
  This package provides Cns11643 table used by the Fcitx table engine.
 
 Package: fcitx-table-compose
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Compose table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -75,12 +79,12 @@
  This package provides Compose table used by the Fcitx table engine.
 
 Package: fcitx-table-emoji
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Emoji table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -91,12 +95,12 @@
  This package provides Emoji table used by the Fcitx table engine.
 
 Package: fcitx-table-ipa-x-sampa
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - IPA-X-SAMPA table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -107,12 +111,12 @@
  This package provides IPA-X-SAMPA table used by the Fcitx table engine.
 
 Package: fcitx-table-latex
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - LaTeX table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -123,12 +127,12 @@
  This package provides LaTeX table used by the Fcitx table engine.
 
 Package: fcitx-table-malayalam-phonetic
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Malayalam phonetic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -139,12 +143,12 @@
  This package provides Malayalam phonetic table used by the Fcitx table engine.
 
 Package: fcitx-table-rustrad
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Rustrad table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -155,12 +159,12 @@
  This package provides Rustrad table used by the Fcitx table engine.
 
 Package: fcitx-table-tamil-remington
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Tamil Remington table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -171,12 +175,12 @@
  This package provides Tamil Remington table used by the Fcitx table engine.
 
 Package: fcitx-table-thai
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Thai table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -187,12 +191,12 @@
  This package provides Thai table used by the Fcitx table engine.
 
 Package: fcitx-table-translit-ua
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Ukrainian Translit table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -204,12 +208,12 @@
  engine.
 
 Package: fcitx-table-translit
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Translit table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -220,12 +224,12 @@
  This package provides Translit table used by the Fcitx table engine.
 
 Package: fcitx-table-viqr
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Viqr table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
@@ -236,12 +240,12 @@
  This package provides Viqr table used by the Fcitx table engine.
 
 Package: fcitx-table-yawerty
-Architecture: any
-Depends: ${misc:Depends}, fcitx-table
+Architecture: all
+Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
 Description: Flexible Input Method Framework - Yawerty table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
- using a variety of mapping systems. 
+ using a variety of mapping systems.
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is

## fcitx-table-other 0.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(fcitx-table-extra NONE)

find_package(Fcitx 4.2.7 REQUIRED)
find_program(TXT2MB txt2mb REQUIRED)

option(ENABLE_DEPRECATED Off "Enable deprecated table")

_fcitx_add_uninstall_target()

add_subdirectory(po)
add_subdirectory(icons)
add_subdirectory(tables)

=== icons/CMakeLists.txt ===
set(ICON24 fcitx-amharic.png fcitx-arabic.png)
set(ICON32 fcitx-thai.png)
set(ICON48 fcitx-compose.png fcitx-emoji.png fcitx-ipa-x-sampa.png
  fcitx-latex.png fcitx-rustrad.png fcitx-translit.png fcitx-translit-ua.png
  fcitx-yawerty.png fcitx-malayalam-phonetic.png fcitx-tamil-remington.png)
set(ICON64 fcitx-cns11643.png fcitx-viqr.png)

if(ENABLE_DEPRECATED)
  set(ICON48 ${ICON48} fcitx-bengali-inscript.png fcitx-bengali-probhat.png
    fcitx-gujarati-inscript.png fcitx-gujarati-phonetic.png
    fcitx-hindi-inscript.png fcitx-hindi-phonetic.png fcitx-kannada-inscript.png
    fcitx-kannada-kgp.png fcitx-malayalam-inscript.png fcitx-nepali.png
    fcitx-punjabi-inscript.png fcitx-punjabi-jhelum.png
    fcitx-punjabi-phonetic.png fcitx-tamil-inscript.png fcitx-tamil-phonetic.png
    fcitx-telugu-inscript.png)
endif()

foreach(icon ${ICON24} ${ICON32} ${ICON48} ${ICON64})
    string(REPLACE "fcitx-" "" icon_new ${icon})
    install(FILES ${icon} RENAME ${icon_new} DESTINATION share/fcitx/imicon)
endforeach()

install(FILES
    ${ICON32}
    DESTINATION share/icons/hicolor/32x32/apps)
install(FILES
    ${ICON48}
    DESTINATION share/icons/hicolor/48x48/apps)
install(FILES
    ${ICON64}
    DESTINATION share/icons/hicolor/64x64/apps)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-table-other fcitx-table-other.pot)

=== tables/CMakeLists.txt ===
--- 
+++ 
@@ -44,21 +44,28 @@
   set(TABLE_NAMES ${TABLE_NAMES} ${DEPRECATED_TABLE_NAMES})
 endif()
 
-set(MB_FILE)
-set(CONF_FILE)
+set(MB_FILES)
+set(CONF_FILES)
 
 foreach(table ${TABLE_NAMES})
+  get_filename_component(table_name "${table}" NAME)
+  set(mb_file "${CMAKE_CURRENT_BINARY_DIR}/${table_name}.mb")
+  set(conf_file "${CMAKE_CURRENT_BINARY_DIR}/${table_name}.conf")
+
   fcitx_translate_add_apply_source("${table}.conf.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
-  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb"
+    "${conf_file}")
+  get_filename_component(out_dir
+    "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb" PATH)
+  add_custom_command(OUTPUT "${mb_file}"
     DEPENDS "${table}.txt" "${TXT2MB}"
+    COMMAND "${CMAKE_COMMAND}" -E make_directory "${out_dir}"
     COMMAND "${TXT2MB}" ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${table}.txt"
-    "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
-  set(MB_FILE ${MB_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.mb")
-  set(CONF_FILE ${CONF_FILE} "${CMAKE_CURRENT_BINARY_DIR}/${table}.conf")
+    "${CMAKE_CURRENT_BINARY_DIR}/${table_name}.mb")
+  set(MB_FILES ${MB_FILES} "${mb_file}")
+  set(CONF_FILES ${CONF_FILES} "${conf_file}")
 endforeach()
 
-add_custom_target(table_data ALL DEPENDS ${MB_FILE})
+add_custom_target(table_data ALL DEPENDS ${MB_FILES})
 
-install(FILES ${CONF_FILE} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")
-install(FILES ${MB_FILE} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")
+install(FILES ${CONF_FILES} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")
+install(FILES ${MB_FILES} DESTINATION "${FCITX4_PREFIX}/share/fcitx/table")

=== debian/changelog ===
fcitx-table-other (0.2.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper compat to v13.
    + Update homepage to use GitHub project.
  * debian/rules: Use dh13 syntax.

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Sep 2022 15:33:08 -0400

fcitx-table-other (0.2.4-2) unstable; urgency=medium

  * Team upload.
  * debian: Bump debhelper compat to v11.
  * debian/control:
    + Update maintainer address and use the debian-input-method mailing address.
      (Closes: #899842).
    + Update YunQiang Su's email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1.
    + Update Vcs-* fields and use the repo under input-method-team group.
    + Update upstream project location (moved to GitLab).
  * debian/rules: Modernize packaging instructions.
  * debian/not-installed: Ignore installation of translation files for now.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 15:02:31 -0400

fcitx-table-other (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Bump debhelper compat to v10.
    + Bump Standards-Version to 4.1.1.
    + Bump fcitx version requirement.
    + Use GitHub as homepage.
    + Use canonical Vcs URL.
    + d/rules: refresh instructions.
    + d/rules: Use full hardening.
  * d/copyright: refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 11:50:31 +0800

fcitx-table-other (0.2.3-3) unstable; urgency=medium

  * Fix build (Closes: #818642)

 -- Aron Xu <aron@debian.org>  Thu, 02 Jun 2016 14:09:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: fcitx-table-other
 Section: utils
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               fcitx-bin (>= 1:4.2.8),
-               fcitx-libs-dev (>= 1:4.2.8),
-               fcitx-tools (>= 1:4.2.8),
-               intltool
-Standards-Version: 3.9.6
-Homepage: http://code.googlecode.com/p/fcitx
-Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-table-other.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-table-other.git
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Uploaders:
+ Aron Xu <aron@debian.org>,
+ YunQiang Su <syq@debian.org>,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ fcitx-bin (>= 1:4.2.9),
+ fcitx-libs-dev (>= 1:4.2.9),
+ fcitx-tools (>= 1:4.2.9),
+ intltool,
+Standards-Version: 4.6.1
+Homepage: https://github.com/fcitx/fcitx-table-other
+Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-table-other.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-table-other
 
 Package: fcitx-table-amharic
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Amharic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -32,7 +37,9 @@
 
 Package: fcitx-table-arabic
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Arabic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -48,7 +55,9 @@
 
 Package: fcitx-table-cns11643
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Cns11643 table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -64,7 +73,9 @@
 
 Package: fcitx-table-compose
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Compose table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -80,7 +91,9 @@
 
 Package: fcitx-table-emoji
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Emoji table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -96,7 +109,9 @@
 
 Package: fcitx-table-ipa-x-sampa
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - IPA-X-SAMPA table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -112,7 +127,9 @@
 
 Package: fcitx-table-latex
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - LaTeX table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -128,7 +145,9 @@
 
 Package: fcitx-table-malayalam-phonetic
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Malayalam phonetic table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -144,7 +163,9 @@
 
 Package: fcitx-table-rustrad
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Rustrad table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -160,7 +181,9 @@
 
 Package: fcitx-table-tamil-remington
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Tamil Remington table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -176,7 +199,9 @@
 
 Package: fcitx-table-thai
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Thai table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -190,9 +215,29 @@
  .
  This package provides Thai table used by the Fcitx table engine.
 
+Package: fcitx-table-translit
+Architecture: all
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
+Description: Flexible Input Method Framework - Translit table
+ Fcitx is a input method framework with extension support, which provides
+ an interface for entering characters of different scripts in applications
+ using a variety of mapping systems.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package provides Translit table used by the Fcitx table engine.
+
 Package: fcitx-table-translit-ua
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Ukrainian Translit table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -207,25 +252,11 @@
  This package provides Ukrainian Translit table used by the Fcitx table
  engine.
 
-Package: fcitx-table-translit
-Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
-Description: Flexible Input Method Framework - Translit table
- Fcitx is a input method framework with extension support, which provides
- an interface for entering characters of different scripts in applications
- using a variety of mapping systems.
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
- for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
- API.
- .
- This package provides Translit table used by the Fcitx table engine.
-
 Package: fcitx-table-viqr
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Viqr table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -241,7 +272,9 @@
 
 Package: fcitx-table-yawerty
 Architecture: all
-Depends: fcitx-table (>= 1:4.2.6), ${misc:Depends}
+Depends:
+ fcitx-table (>= 1:4.2.6),
+ ${misc:Depends},
 Description: Flexible Input Method Framework - Yawerty table
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-table-other/ \
 fcitx-table-other-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
